Google vereist minimaal Android 8.0 Oreo ondersteuning bij alle apps

Sinds deze maand moeten ontwikkelaars verplicht hun apps geschikt gaan maken voor tenminste Android 8.0 Oreo. Dat heeft een aantal redenen en ontwikkelaars zullen hard moeten werken om hun apps beschikbaar te houden.

Apps worden veiliger

Google werkt regelmatig haar policy bij waaraan ontwikkelaars zich dienen te houden bij het maken van applicaties. Vanaf deze maand zijn ontwikkelaars verplicht om bij updates van bestaande applicaties tenminste Android 8.0 Oreo te ondersteunen. Nieuwe applicaties moesten zich al aan deze nieuwe richtlijn houden. Apps die dat niet doen kunnen door ontwikkelaars niet verder van updates worden voorzien.

Doel van deze maatregel is om ervoor te zorgen dat alle applicaties zich gedragen zoals verwacht wordt voor de nieuwste Android versies. Met de verplichting worden apps ook beter geoptimaliseerd voor veiligheid en performance. Ook is een nieuwe beperking van kracht op apps die toegang vragen tot belgeschiedenis en sms berichten. Alleen de applicatie die door de gebruiker is gemarkeerd tot standaard telefoon of sms-app mag deze gegevens benaderen. Voor apps blijft het wel mogelijk om accounts te verifiëren via SMS.

Lees ook

Reageer op dit artikel